Subject: bug#26674: [Stefan Kangas] Re: bug#26674: 24.3; Inconsistent indentation in C++ mode initialization lists

From: Stefan Kangas <[email-masked]>
Date: Thu, 22 Oct 2020 18:48:39 -0700

[ Forwarding to the bug tracker since I forgot to include it in Cc. ]

-------------------- Start of forwarded message --------------------
From: Stefan Kangas <[email-masked]>
To: Greg Long <[email-masked]>
Subject: Re: bug#26674: 24.3; Inconsistent indentation in C++ mode
 initialization lists
Date: Mon, 10 Aug 2020 13:44:18 -0700

Greg Long <[email-masked]> writes:

> When creating an initialization list for a constructor in C++ mode there
> is an inconsistency in indentation. In the following code:
>
> foo::foo()
> : m_test_var0(100)
> , m_test_var1(100)
> , m_test_var2(100)
> , m_test_var3(100)
> , m_test_var4(100)
> , m_test_var5(100)
> , m_test_var6(100)
> , m_test_var7(100)
> , m_test_var8(100)
> , m_test_var9(100)
> , m_test_var10(100)
> , m_test_var11(100)
> , m_test_var12(100)
> , m_test_var13(100)
> , m_test_var14(100)
> , m_test_var15(100)
> , m_test_var16(100)
> , m_test_var17(100)
> , m_test_var18(100)
> , m_test_var19(100)
> , m_test_var20(100)
> , m_test_var21(100)
> , m_test_var22(100)
> , m_test_var23(100)
> , m_test_var24(100)
> , m_test_var25(100)
>   , m_test_var26(100)
> {}
>
> variables inserted before m_test_var25 are not indented, while
> ones after m_test_var25 are indented (in the same style as m_test_var26). The
> indentation doesn't always happen after exactly 26 variables and the
> size of indentation is not always 2 spaces, instead the
> behavior seems to depend on the length of the variable strings. However
> the indentation will always happen eventually. It appears the actual
> values within the parentheses don't matter, either.

I can't reproduce this on current master.  Are you still seeing this
using a recent version of Emacs?

If I don't hear back from you within a couple of weeks, I'll just
close this bug as unreproducible.

Best regards,
Stefan Kangas
-------------------- End of forwarded message --------------------